Network sync extension doesn't run properly

bnickel's Avatar

bnickel

21 Oct, 2011 03:54 PM

Hi,

I'm running Moneydance on Mac OS X Leopard (10.5.8). Moneydance, Network Sync extension, and OS X are updated to the latest versions.

When I try to add my iPhone to the devices to be synced (Pressing the "add device" button in the Network Sync settings), nothing happens. A look at the Console window suggests that there's a problem with the Java. I'm copying the output of the console below. Any help would be much appreciated.

Output of Console:

Starting Moneydance 2011 (791)
Settings Folder: /Users/bnickel/.moneydance
OS: Mac OS X 10.5.8 i386
Java: 1.5.0_30 (Apple Inc.)
Exception in thread "Thread-2" java.lang.UnsupportedClassVersionError: Bad version number in .class file

at java.lang.ClassLoader.defineClass1(Native Method)
at java.lang.ClassLoader.defineClass(ClassLoader.java:676)
at java.lang.ClassLoader.defineClass(ClassLoader.java:521)
at com.moneydance.apps.md.controller.ModuleLoader$FMClassLoader.loadClass(ModuleLoader.java:290)
at java.lang.ClassLoader.loadClass(ClassLoader.java:252)
at java.lang.ClassLoader.loadClassInternal(ClassLoader.java:375)
at com.moneydance.modules.features.netsync.Main$1.run(Main.java:98)
at java.lang.Thread.run(Thread.java:655)

setStatus(There are no accounts to be downloaded, -1.0)
Exception in thread "Thread-6" java.lang.UnsupportedClassVersionError: Bad version number in .class file

at java.lang.ClassLoader.defineClass1(Native Method)
at java.lang.ClassLoader.defineClass(ClassLoader.java:676)
at java.lang.ClassLoader.defineClass(ClassLoader.java:521)
at com.moneydance.apps.md.controller.ModuleLoader$FMClassLoader.loadClass(ModuleLoader.java:290)
at java.lang.ClassLoader.loadClass(ClassLoader.java:252)
at java.lang.ClassLoader.loadClassInternal(ClassLoader.java:375)
at com.moneydance.modules.features.netsync.SyncSettingsWindow$DeviceAdder.run(SyncSettingsWindow.java:200)

All the best,
Bernhard.

  1. 1 Posted by Jessica Little on 25 Oct, 2011 03:06 PM

    Jessica Little's Avatar

    Hi Bernhard,

    What version of the Syncing extension are you using? You can find this information in the Manage Extensions window, underneath the extension name.

    Jessica Little
    Moneydance Support

  2. 2 Posted by bnickel on 25 Oct, 2011 05:03 PM

    bnickel's Avatar

    Dear Jessica,

    I'm using version v13.

    Thanks for your help,
    Bernhard.
    >

  3. 3 Posted by Ben Spencer on 25 Oct, 2011 09:37 PM

    Ben Spencer's Avatar

    Currently the net sync extension has a minimum requirement of Java version 6, You have Java 5 which is why you are seeing this error. I have contacted the developers and they tell me they will try to get a new version of the extension out asap that only requires java 5.

  4. 4 Posted by bnickel on 25 Oct, 2011 10:05 PM

    bnickel's Avatar

    I see. Thanks a lot for figuring this out. I'll stay tuned for the
    update.
    >

  5. 5 Posted by Jessica Little on 27 Oct, 2011 12:55 PM

    Jessica Little's Avatar

    The update is now available. Look for v14 of the extension in the Manage Extensions window.

    Jessica Little
    Moneydance Support

  6. 6 Posted by bnickel on 27 Oct, 2011 01:11 PM

    bnickel's Avatar

    Brilliant. I installed the update, and it works like a charm. Thanks
    so much for the quick resolution.

    Cheers,
    b.
    >

  7. Jessica Little closed this discussion on 27 Oct, 2011 01:25 PM.

Comments are currently closed for this discussion. You can start a new one.

Keyboard shortcuts

Generic

? Show this help
ESC Blurs the current field

Comment Form

r Focus the comment reply box
^ + ↩ Submit the comment

You can use Command ⌘ instead of Control ^ on Mac

Recent Discussions

30 May, 2024 06:28 PM
30 May, 2024 05:58 PM
30 May, 2024 12:41 PM
30 May, 2024 11:39 AM
30 May, 2024 04:16 AM